<div class="columns">

  <div style="width: 45%;">
    <h2>Summary</h2>
    <ul class='round'>
      <li><label>Name:</label> <%= @web_page.name %></li>
      <li><label>Path:</label> http://<%= @web_page.campaign.vhost %><%= @web_page.campaign.port_with_colon %><%= @web_page.path %></li>
      <li style="position: relative;"><label>Attack Type:</label> <%= web_page_attack_type_pairs.invert[@web_page.attack_type] %>
        <% if @web_page.exploit_attack? -%>
          <div class='module-path'><span class='gt'>&gt;</span> <%= @web_page.exploit_module.title %></div>
          <div class='options'><%= add_hash_syntax_highlighting @web_page.exploit_module_config %></div>
          <a class='showhide exploit' style="position: absolute; bottom: 1px; right: 10px; z-index: 999;">More...</a>
        <% end -%>
        <script type='text/javascript'>
          $a = jQuery('a.showhide.exploit').filter(':visible');
          $a.click(function() {
            jQuery(this).parent().find('.options').css({'overflow-y': 'none', 'overflow-x': 'auto', 'max-height': 'none'});
            jQuery(this).hide();
          });
          $li = jQuery('.options', $a.parents('li'));
          if ($li.size()>0 && !($li[0].scrollHeight > $li.height()+20)) $a.hide();
        </script>
      </li>
      <% if @web_page.file_attack? -%>
        <li>
          <label>File Generation Type:</label> 
          <%= web_page_file_generation_type_pairs.invert[@web_page.file_generation_type] %>
        </li>
        <% if @web_page.user_supplied_attack? -%>
          <li>
            <label>Uploaded File:</label> 
            <%= File.basename(SocialEngineering::CampaignFile.find(@web_page.user_supplied_file).to_s) %>
          </li>
        <% end  %>
      <% else %> 
        <li><label>Origin:</label> <%= web_page_origin_type_pairs.invert[@web_page.origin_type] %></li>
        <li style="position: relative;"><label>Content:</label><br />
          <div class='options'><%= @web_page.content %></div>
          <a class='showhide content' style="position: absolute; bottom: 1px; right: 10px; z-index: 999;">More...</a>
          <script type='text/javascript'>
            $a = jQuery('a.showhide.content').filter(':visible');
            $a.click(function() {
              jQuery(this).parent().find('.options').css({'overflow-y': 'none', 'overflow-x': 'auto', 'max-height': 'none'});
              jQuery(this).hide();
            });
            $li = jQuery('.options', $a.parents('li'));
            if ($li.size()>0 && !($li[0].scrollHeight > $li.height()+20)) $a.hide()
          </script>
        </li>
      <% end %>
    </ul>
  </div>
  <div style="width: 55%;">
    <h2>Preview 
      <span class="zoomPreview">
        <a href="#">Zoom</a>
        <span style="font-size: .6rem; margin-left: 8px;">
          (Javascript is disabled in the preview)
        </span>
      </span>
    </h2>
    <iframe class="preview" src="<%= @web_page_path + "/preview" %>"></iframe>
  </div>
</div>